<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchImplementation: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchImplementation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index__5F"></a>- _ -</h3><ul>
<li>_applicationProfileId
: <a class="el" href="class_semantic_search_implementation_1_1_specific_application_profile.html#a9badf9065a22122a01b172d87400f17b">SemanticSearchImplementation.SpecificApplicationProfile</a>
</li>
<li>_connector
: <a class="el" href="class_semantic_search_implementation_1_1_additional_rule.html#a8ba5ff8df619d661ff583d121b343cf9">SemanticSearchImplementation.AdditionalRule</a>
, <a class="el" href="class_semantic_search_implementation_1_1_literal_rule.html#a9cfa7f8452ace0b78f8342daad11d600">SemanticSearchImplementation.LiteralRule</a>
, <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#abe5b0dc7e49afcaa43be878f1c0e8789">SemanticSearchImplementation.RdfClient</a>
</li>
<li>_dataTypeParser
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a5d9dbc2c8daa86da7dd88cc164ff4181">SemanticSearchImplementation.RdfClient</a>
</li>
<li>_generalAdditionalRules
: <a class="el" href="class_semantic_search_implementation_1_1_application_profile.html#a3b34d9f5e4fdb4d5cb42ae84aa18114a">SemanticSearchImplementation.ApplicationProfile</a>
</li>
<li>_generalAdditionalTripleLabels
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#aef7fecc6448a349c10c379b3ed52f55f">SemanticSearchImplementation.ElasticsearchIndexMapper</a>
</li>
<li>_generalLiteralRules
: <a class="el" href="class_semantic_search_implementation_1_1_application_profile.html#af01d0f59fb8886a4071186d100e587b1">SemanticSearchImplementation.ApplicationProfile</a>
</li>
<li>_index
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a34f256039687648971cb1c716cbac4d3">SemanticSearchImplementation.ElasticsearchSearchClient</a>
</li>
<li>_indexMapper
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a4965dcdcd61973c0e54ae130ff93a07d">SemanticSearchImplementation.RdfSearchMapper</a>
</li>
<li>_labelOfProperties
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#ac5b8eb54d40660e41e7fb4057babb715">SemanticSearchImplementation.ElasticsearchIndexMapper</a>
</li>
<li>_language
: <a class="el" href="class_semantic_search_implementation_1_1_literal_rule.html#a356bdc672cc57da8bb7f687fb62c5d70">SemanticSearchImplementation.LiteralRule</a>
, <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a3ca442552615fb7dafe445873e33820b">SemanticSearchImplementation.RdfClient</a>
</li>
<li>_manager
: <a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a619d32e2555a68ee2c881545f60b2477">SemanticSearchImplementation.VirtuosoRdfConnector</a>
</li>
<li>_properties
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#ae387ca90d1692c047ab4daf85fdbd22b">SemanticSearchImplementation.ElasticsearchIndexMapper</a>
</li>
<li>_queryString
: <a class="el" href="class_semantic_search_implementation_1_1_additional_rule.html#a07d4811c88adadb25e511902e26105ad">SemanticSearchImplementation.AdditionalRule</a>
, <a class="el" href="class_semantic_search_implementation_1_1_literal_rule.html#a7ae77952a855c4d3a95156b097990a45">SemanticSearchImplementation.LiteralRule</a>
, <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#ac5b265b0ca493b3cfa893066b625b57e">SemanticSearchImplementation.RdfClient</a>
, <a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a33d6bb69d52e85d3622cf204f6f01987">SemanticSearchImplementation.VirtuosoRdfConnector</a>
</li>
<li>_RDFClient
: <a class="el" href="class_semantic_search_implementation_1_1_application_profile.html#abbc97873fbb32bc63308fa87dc01e0dc">SemanticSearchImplementation.ApplicationProfile</a>
, <a class="el" href="class_semantic_search_implementation_1_1_data_type_parser.html#ad0d84d7e0542aae6fd191379fa2c535d">SemanticSearchImplementation.DataTypeParser</a>
, <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a81af69e8106dea8935b83fdb8047a624">SemanticSearchImplementation.ElasticsearchIndexMapper</a>
</li>
<li>_RdfClient
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a969dd6ce70dbfbcffe4c8c9ea994485d">SemanticSearchImplementation.RdfSearchMapper</a>
</li>
<li>_reason
: <a class="el" href="class_semantic_search_implementation_1_1_not_indexable_exception.html#adc69ed3a8c732961a32185410584095b">SemanticSearchImplementation.NotIndexableException</a>
</li>
<li>_searchClient
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a8c606fc285599d995ab58c3e1bc77c14">SemanticSearchImplementation.RdfSearchMapper</a>
</li>
<li>_specificAdditionalRules
: <a class="el" href="class_semantic_search_implementation_1_1_specific_application_profile.html#a6e6780c0f87f5ad3812b66a13b4f19c8">SemanticSearchImplementation.SpecificApplicationProfile</a>
</li>
<li>_specificLiteralRules
: <a class="el" href="class_semantic_search_implementation_1_1_specific_application_profile.html#ac28fa25dac511a1584f9ded9a4e85d7c">SemanticSearchImplementation.SpecificApplicationProfile</a>
</li>
<li>_typeOfProperties
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a9858ada0e33475c3911136f6f4d95606">SemanticSearchImplementation.ElasticsearchIndexMapper</a>
</li>
<li>_version
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a8920797934d1b70d9205bcd64e7ddc76">SemanticSearchImplementation.RdfSearchMapper</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
